Bug 510212 - Ancient and useless ChangeLog file
Ancient and useless ChangeLog file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 07:31 EDT by Michael Schwendt
Modified: 2013-04-26 23:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-26 23:07:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-07-08 07:31:28 EDT
The package installs an _ancient_ ChangeLog file that is of no use at all, because the last version it comments on is 0.2.0 while alsa-lib is at 1.0.20. The timestamp of the installed file is misleading:


$ stat /usr/share/doc/alsa-lib-1.0.20/ChangeLog |grep 2009
Access: 2009-05-06 09:07:23.000000000 +0200
Modify: 2009-05-06 09:07:23.000000000 +0200
Change: 2009-07-08 13:31:49.662383442 +0200


$ head /usr/share/doc/alsa-lib-1.0.20/ChangeLog 
* update to libtool 1.3.3

0.1.3 -> 0.2.0

* added snd_pcm_loopback_block_mode to PCM loopback interface
* fixups in header files (according to documentation)
* version is now compatible with driver

0.1.2 -> 0.1.3
Comment 1 Michael Schwendt 2009-09-17 12:53:17 EDT
You could have removed fixed this bug with your recent updates for F11.
Comment 2 Bug Zapper 2010-04-27 11:32:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-02 13:56:54 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Michael Schwendt 2011-06-02 14:10:37 EDT
Originally reported on 2009-07-08, still true.
Comment 5 Fedora End Of Life 2013-04-03 14:40:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora Update System 2013-04-12 05:03:43 EDT
alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19
Comment 7 Fedora Update System 2013-04-12 11:19:30 EDT
Package alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-utils-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alsa-plugins-1.0.27-1.fc19 alsa-tools-1.0.27-1.fc19 alsa-firmware-1.0.27-1.fc19 alsa-utils-1.0.27-1.fc19 alsa-lib-1.0.27-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5535/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-1.fc19,alsa-lib-1.0.27-2.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-04-15 12:15:51 EDT
Package alsa-utils-1.0.27-2.fc19, alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alsa-utils-1.0.27-2.fc19 alsa-plugins-1.0.27-1.fc19 alsa-tools-1.0.27-1.fc19 alsa-firmware-1.0.27-1.fc19 alsa-lib-1.0.27-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5535/alsa-plugins-1.0.27-1.fc19,alsa-tools-1.0.27-1.fc19,alsa-firmware-1.0.27-1.fc19,alsa-utils-1.0.27-2.fc19,alsa-lib-1.0.27-2.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-04-26 23:07:32 EDT
alsa-utils-1.0.27-2.fc19, alsa-plugins-1.0.27-1.fc19, alsa-tools-1.0.27-1.fc19, alsa-firmware-1.0.27-1.fc19, alsa-lib-1.0.27-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.